Bug 1171238 - Review Request: nodejs-package-info - Get the information of a npm package
Summary: Review Request: nodejs-package-info - Get the information of a npm package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1171230 1171236 1176811
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-05 17:11 UTC by Parag Nemade
Modified: 2015-02-14 02:42 UTC (History)
2 users (show)

Fixed In Version: nodejs-package-info-2.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-31 04:53:43 UTC
piotr1212: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-12-05 17:11:11 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-package-info.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-package-info-1.0.0-1.fc21.src.rpm
Description: 
Get the information of a npm package.

Fedora Account System Username: pnemade

Comment 3 Piotr Popieluch 2014-12-28 15:58:06 UTC
This doesn't seem to work on f21, is this some issue on my system or with the package?


/usr/bin/package-info parages

/usr/lib/node_modules/package-info/index.js:6
	registryUrl(function (err, url) {
	^
TypeError: string is not a function
    at module.exports (/usr/lib/node_modules/package-info/index.js:6:2)
    at Object.<anonymous> (/usr/lib/node_modules/package-info/cli.js:28:1)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:906:3

Comment 5 Piotr Popieluch 2014-12-29 14:57:36 UTC
APPROVED


suggestions:
- you can remove
  %nodejs_fixdep registry-url ~2.x
  Upstream updated this in latest release
- add a man page



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1171238-nodejs-package-
     info/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-package-info-2.0.0-1.fc22.noarch.rpm
          nodejs-package-info-2.0.0-1.fc22.src.rpm
nodejs-package-info.noarch: W: spelling-error Summary(en_US) npm -> pm, rpm, ppm
nodejs-package-info.noarch: W: spelling-error %description -l en_US npm -> pm, rpm, ppm
nodejs-package-info.noarch: W: only-non-binary-in-usr-lib
nodejs-package-info.noarch: W: dangling-symlink /usr/lib/node_modules/package-info/node_modules/registry-url /usr/lib/node_modules/registry-url
nodejs-package-info.noarch: W: dangling-symlink /usr/lib/node_modules/package-info/node_modules/got /usr/lib/node_modules/got
nodejs-package-info.noarch: W: no-manual-page-for-binary package-info
nodejs-package-info.src: W: spelling-error Summary(en_US) npm -> pm, rpm, ppm
nodejs-package-info.src: W: spelling-error %description -l en_US npm -> pm, rpm, ppm
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@pontifex /]# rpmlint nodejs-package-info
nodejs-package-info.noarch: W: spelling-error Summary(en_US) npm -> pm, rpm, ppm
nodejs-package-info.noarch: W: spelling-error %description -l en_US npm -> pm, rpm, ppm
nodejs-package-info.noarch: W: only-non-binary-in-usr-lib
nodejs-package-info.noarch: W: dangling-symlink /usr/lib/node_modules/package-info/node_modules/registry-url /usr/lib/node_modules/registry-url
nodejs-package-info.noarch: W: dangling-symlink /usr/lib/node_modules/package-info/node_modules/got /usr/lib/node_modules/got
nodejs-package-info.noarch: W: no-manual-page-for-binary package-info
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
]0;<mock-chroot><mock-chroot>[root@pontifex /]# echo 'rpmlint-done:'



Requires
--------
nodejs-package-info (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(got)
    npm(registry-url)



Provides
--------
nodejs-package-info:
    nodejs-package-info
    npm(package-info)



Source checksums
----------------
https://github.com/AlessandroMinoccheri/package-info/archive/v2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1928ce4cef6ae204a3a15e8b62be3134dffcebd227d1827a878eb1be5a6a1860
  CHECKSUM(SHA256) upstream package : 1928ce4cef6ae204a3a15e8b62be3134dffcebd227d1827a878eb1be5a6a1860


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1171238
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Parag Nemade 2014-12-29 15:20:58 UTC
Thanks for this package review.

New Package SCM Request
=======================
Package Name: nodejs-package-info
Short Description: Get the information of a npm package
Upstream URL: https://github.com/AlessandroMinoccheri/package-info
Owners: pnemade
Branches: f20 f21 el6 epel7
InitialCC:

Comment 7 Kevin Fenzi 2014-12-29 16:53:05 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-12-30 13:36:37 UTC
nodejs-package-info-2.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-package-info-2.0.0-1.fc21

Comment 9 Fedora Update System 2014-12-30 13:36:42 UTC
nodejs-package-info-2.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-package-info-2.0.0-1.fc20

Comment 10 Fedora Update System 2014-12-30 13:36:54 UTC
nodejs-package-info-2.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-package-info-2.0.0-1.el7

Comment 11 Fedora Update System 2014-12-30 13:40:50 UTC
nodejs-package-info-2.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-package-info-2.0.0-1.el6

Comment 12 Parag Nemade 2014-12-31 04:53:43 UTC
Built in rawhide.

Comment 13 Fedora Update System 2015-01-17 09:01:25 UTC
nodejs-package-info-2.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-package-info-2.0.0-1.el7

Comment 14 Fedora Update System 2015-01-17 09:01:43 UTC
nodejs-package-info-2.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-package-info-2.0.0-1.fc20

Comment 15 Fedora Update System 2015-01-17 23:56:33 UTC
nodejs-package-info-2.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2015-01-27 03:05:10 UTC
nodejs-package-info-2.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2015-01-28 17:23:57 UTC
nodejs-package-info-2.2.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-package-info-2.2.0-1.el7

Comment 18 Fedora Update System 2015-02-14 02:42:22 UTC
nodejs-package-info-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.